Subject: Re: Comments on Optimizing BFD Authentication

From: Ashesh Mishra <[email-masked]>
Date: Sun, 1 Apr 2018 11:40:01 -0400

Inline

On Wed, Mar 28, 2018 at 12:57 PM, Jeffrey Haas <[email-masked]> wrote:

> Authors,
>
> Several comments on the draft in no particular order:
>
> ---
>
> The document header says "BFD Authentication".  You should include the word
> "optimizing" somewhere in that. :-)

[AM] Addressed :)

---
>
> The NULL Auth TLV has a recommended Authentication Type of 0.  While this
> seems like a good idea, it's problematic in a few regards.
>
> RFC 5880 defines the bfd.AuthType variable.  This is basically set using
> the
> received AuthType in the packet when authentication is received.  E.g.:
>
> :    Authentication Present (A)
> :
> :       Set to 1 if authentication is in use on this session (bfd.AuthType
> :       is nonzero), or 0 if not.
>
> Further, section 6.8.6 contains the following:
>
> :       If the A bit is set and no authentication is in use (bfd.AuthType
> :       is zero), the packet MUST be discarded.
>
> My recommendation is to remove the AuthType of 0 and replace it with a TBD
> to be assigned by IANA.  This impacts the IANA Considerations section.

[AM] Good catch! I'll make the change.

---
>
> Section 3 notes a "Reserved" field.  It notes "multiple keys". This seems
> to
> be missing text describing how it's intended to be used.
>
> [AM] This is a copy-paste error. It should read "This byte MUST be set to
zero on transmit and ignored on receipt."

---
>
>
> There are also a few other issues that require attention, which are largely
> operational considerations:
>
> How do you go about enabling the optimized procedures?  Is it expected to
> be
> via configuration?

[AM] The intention is to be configuration-based (as is with other
authentication methods).

What are the yang model considerations?  (See prior point.)

[AM] I'll let Mahesh comment on this.

> -- Jeff

---

From: Mahesh Jethanandani <[email-masked]>
Date: Sun, 1 Apr 2018 21:07:45 -0700

> On Apr 1, 2018, at 8:40 AM, Ashesh Mishra <[email-masked]> wrote:
> 
>  
>  

To support the optimized BFD authentication, we will need to change the BFD YANG model to add a ‘optimized’ authentication capability.

Following are some of the changes I anticipate

- The current model has a typedef for auth-type, but since a bit has not been assigned (it is a TBD), it will require an update to the typedef to include the new bit, when it is assigned after IANA approves it. 

- The current YANG model only supports the meticulous mode of authentication in its grouping for auth-parms. Will need to make it a choice between meticulous and the ‘optimized’ mode.

Mahesh Jethanandani
[email-masked]

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 2 Apr 2018 12:08:52 +0000

Mahesh – I believe these should be done as augmentations since draft-ietf-bfd-yang-13 has already been submitted to the IESG for publication.
Thanks,
Acee

From: Rtg-bfd <[email-masked]> on behalf of Mahesh Jethanandani <[email-masked]>
Date: Monday, April 2, 2018 at 12:06 AM
To: Ashesh Mishra <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Comments on Optimizing BFD Authentication

On Apr 1, 2018, at 8:40 AM, Ashesh Mishra <[email-masked]<mailto:[email-masked]>> wrote:

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>

---

From: Mahesh Jethanandani <[email-masked]>
Date: Mon, 2 Apr 2018 05:47:18 -0700

Acee,

Or by doing a "bis" version of the draft. There is no way to augment a typedef.

Mahesh Jethanandani
[email-masked]

> On Apr 2, 2018, at 5:08 AM, Acee Lindem (acee) <[email-masked]> wrote:
>

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Fri, 6 Apr 2018 12:55:32 +0000

Yes looks like we’ll have to do a bis.

Regards,
Reshad.

From: Rtg-bfd <[email-masked]> on behalf of Mahesh Jethanandani <[email-masked]>
Date: Monday, April 2, 2018 at 8:47 AM
To: "Acee Lindem (acee)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Ashesh Mishra <[email-masked]>
Subject: Re: Comments on Optimizing BFD Authentication

Acee,

Mahesh Jethanandani

On Apr 2, 2018, at 5:08 AM, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:
Mahesh – I believe these should be done as augmentations since draft-ietf-bfd-yang-13 has already been submitted to the IESG for publication.
Thanks,
Acee

From: Rtg-bfd <[email-masked]<mailto:[email-masked]>> on behalf of Mahesh Jethanandani <[email-masked]<mailto:[email-masked]>>
Date: Monday, April 2, 2018 at 12:06 AM
To: Ashesh Mishra <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Comments on Optimizing BFD Authentication

Mahesh Jethanandani